## int v24Write

## ( v24_port_t* port, const unsigned char* Buffer,
size_t Len )

## Documentation

> Send a buffer. This function sends all `Len` characters of the array referenced by `Buffer`. The number of sent bytes is returned. If an error occurs, a `-1` is returned. Use `v24QueryErrno` to retrieve the error code.

> Possible error code are `V24_OK`, `V24_E_NULL_POINTER`, `V24_E_ILLHANDLE` or `V24_WRITE`.

Parameters:
  port - pointer to handle of the opened port.
  Buffer - pointer to buffer.
  Len - number of characters to send.
Returns:
  (int) number of sent characters or `-1`.
See Also:
  v24QueryErrno, v24Putc, v24Puts.

Alphabetic index

This page was generated with the help of DOC++.